> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/fantom-ftm/ftm_eth_getlogs.md).

# eth\_getLogs - Fantom

Example code for the eth\_getLogs json-rpc method. Сomplete guide on how to use eth\_getLogs json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`Object` - hex string

Filter options object.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "eth_getLogs",
"params": [{"fromBlock": "0x3BE8F6D", "toBlock": "0x3BE8F6D", "address": "0xbee08753d42db191f438979d3cb6a08d28d36555", "topics": []}],
"id": "getblock.io"}'
```

#### Response

```java
{
    "id": "getblock.io",
    "jsonrpc": "2.0",
    "result": []
}
```
